Bug 143981 - [patch] shells/zsh: ZSH_MEM, ZSH_SECURE_FREE, DEBUG
[patch] shells/zsh: ZSH_MEM, ZSH_SECURE_FREE, DEBUG
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 05:50 UTC by sarumont
Modified: 2011-11-06 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2010-02-16 05:50 UTC, sarumont
no flags Details | Diff
patch.txt (1.06 KB, text/plain; charset=US-ASCII)
2011-10-12 18:26 UTC, richard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sarumont 2010-02-16 05:50:01 UTC
zsh 'exit' takes approximately 10s with 30k history items,
SAVEHIST/HISTSIZE both at 100000 on my amd64 build.  An i386 jail is
faster using the same history file, but it is still not "instant".
Diagnosed the problem to be the zsh memory (de)allocation routines.
Compiling without --enable-zsh-mem results in my zsh exiting "instantly"

The attached patch separates the zsh-mem and zsh-secure-free options in
the port, defaulting zsh-mem to off.

Fix: Don't compile with --enable-zsh-mem

Patch attached with submission follows:
How-To-Repeat: Install zsh with default options on an amd64 build and try to exit zsh
with 30k+ items in ~/.histfile
Comment 1 Mark Linimon freebsd_committer 2010-02-16 06:32:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer.
Comment 2 des 2010-02-16 11:56:56 UTC
Do we really want a zsh-specific DEBUG option?  Shouldn't we rather
piggyback on WITH_DEBUG?

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 3 Martin Wilke freebsd_committer 2011-02-05 06:04:39 UTC
State Changed
From-To: open->feedback

any process here? if no let close.
Comment 4 Baptiste Daroussin freebsd_committer 2011-02-28 10:35:44 UTC
Responsible Changed
From-To: des->bapt

I'll take it.
Comment 5 richard 2011-10-12 18:26:58 UTC
Attached a modified patch to remove the DEBUG option and just use WITH_DEBUG.

-- 

Richard Kolkovich
+1 303 219 0042
http://www.sigil.org
Comment 6 dfilter freebsd_committer 2011-11-06 18:35:15 UTC
bapt        2011-11-06 18:35:06 UTC

  FreeBSD ports repository

  Modified files:
    shells/zsh           Makefile 
  Log:
  - split the zsh_mem option into zsh_mem and zsh_secure_free activate secure_free my default disable mem by default[1]
  - correct memory report for time builtin [2]
  - bump portrevision
  
  PR:             ports/143981 [1], ports/152820 [2]
  Submitted by:   Richard Kolkovich <sarumont@sigil.org> [1], Anonymous <swell.k@gmail.com> and Tsu <inyaoo@gmail.com> [2]
  Hurried by:     miwi :)
  
  Revision  Changes    Path
  1.129     +19 -8     ports/shells/zsh/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Baptiste Daroussin freebsd_committer 2011-11-06 18:36:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!